
Redmine - Defect #5989

Gantt subtasking display broken

2010-07-29 14:07 - Alexey Podlasov

Status: Closed Start date: 2010-07-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Gantt does not display subtasks correctly when parent task has greater ID than the child, i.e. when I create parent task after I created

the child task, like when I migrate from 0.x which does not support subtasking to 1.0 which supports. The gantt does not display the

tree structure correctly

Related issues:

Related to Redmine - Patch #5438: Patch repairing rendering of subtasks in ga... Closed 2010-05-04 2010-05-04

Related to Redmine - Patch #7456: Gantt filters New 2011-01-26

History

#1 - 2010-07-31 11:24 - Sepp _

+1

this should really be corrected in 1.0.1!!!

#2 - 2010-08-01 04:01 - Yuki Kita

- File Screenshot.png added

I could not reproduced.

Please describe the bug precisely for us to reproduce it.

#3 - 2010-08-01 15:06 - Sepp _

- File Screenshot2.png added

See the Screenshot!

 

#4 - 2010-08-02 04:30 - Alexey Podlasov

Yuki Kita wrote:

I could not reproduced.

Please describe the bug precisely for us to reproduce it.

 Actually it brakes for me even when parent is created earlier, than a child. Try to create a simple hierarchy with 3-4 different parents each having

several children.
P.S. I am using 1.0 r3839

#5 - 2010-08-02 04:39 - Alexey Podlasov

- File screenshot3.tiff added

Sequence:

Create parents 1, 2 and 3

Create child 1.1

Check Gantt - OK

Create child 1.2

Check Gantt - Broken

 screenshot3.tiff 

#6 - 2010-08-02 04:40 - Alexey Podlasov

 screenshot3.tiff 

#7 - 2010-08-02 05:59 - Alexey Podlasov

upgraded to 3902, problem persists

#8 - 2010-08-02 15:35 - Daniel N

Sepp _ wrote:

See the Screenshot!

 

 This happens at my installation too. A ticket has four subtasks in Gantt there are five subtasks AND one of the subtaks is listed as "sub" to another

ticket at gantt view? I think the date filter relates to this as setting a filter like: Display all tickets from January and not from the actual month corrects

gantt.

Sending screenshots later this day.

#9 - 2010-08-02 23:06 - Yuki Kita

- Status changed from New to Resolved

Confirmed.

But the bug is duplicate of #5881 or #5194 .

So this issue should be closed.

#10 - 2010-08-03 14:48 - Sepp _

I don't think that it is a duplicate of either of them!

This is really a bug or defect, no feature!! When you look at Screenshot2.png, there are Issues shown as sub-issue, which just isn't right!

So i think we should reopen this Issue!

#11 - 2010-08-04 23:21 - Yuki Kita

Sepp _ wrote:

This is really a bug or defect, no feature!! When you look at Screenshot2.png, there are Issues shown as sub-issue, which just isn't right!
https://www.redmine.org/projects/redmine/repository/svn/revisions/3839
https://www.redmine.org/issues/5881
https://www.redmine.org/issues/5194


 I understand this is a bug, and should be fixed.

By the way, someone told me that the patch had already been posted in #5438 .

I confirmed tha patch is effective in all of #5881, #5194, #5989 .

So, try the patch of #5438, and report the result.

#12 - 2010-08-05 08:15 - Sepp _

Works! Thanks!

#13 - 2010-08-05 11:38 - Alexey Podlasov

Is it going to be included into the next stable release, or should I just install the patch?

#14 - 2010-08-05 12:19 - Alexey Podlasov

Patch works fine, thanks!

#15 - 2010-10-03 15:03 - Mischa The Evil

- Category set to Gantt

#16 - 2012-10-23 14:09 - Toshi MARUYAMA

- Status changed from Resolved to Closed

Gantt was refactored in #6276.

So, this issue is obsolete.
